Developers

API-Referenz für Entwickler

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

Einstieg

Damit Anfragen vom System verarbeitet werden können, ist ein API-Schlüssel erforderlich. Sobald sich ein Benutzer registriert, wird automatisch ein API-Schlüssel für diesen Benutzer generiert. Der API-Schlüssel muss mit jeder Anfrage gesendet werden (siehe vollständiges Beispiel unten). Wenn der API-Schlüssel nicht gesendet wird oder abgelaufen ist, wird ein Fehler angezeigt. Bitte achten Sie darauf, Ihren API-Schlüssel geheim zu halten, um Missbrauch zu verhindern.

Authentifizierung

Um sich beim API-System zu authentifizieren, müssen Sie bei jeder Anfrage Ihren API-Schlüssel als Autorisierungstoken senden. Unten sehen Sie einen Beispielcode.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Bewertungslimit

Unsere API verfügt über einen Ratenbegrenzer zum Schutz vor Anfragenspitzen, um ihre Stabilität zu maximieren. Unser Ratenbegrenzer ist derzeit auf 30 Anfragen pro 1 Minute begrenzt. कृपया ध्यान दें कि सब्सक्राइब की गई योजना के अनुसार दर बदल सकती है।

Neben der Antwort werden mehrere Header gesendet, die untersucht werden können, um verschiedene Informationen über die Anfrage zu ermitteln.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Antwortbehandlung

Alle API-Antworten werden standardmäßig im JSON-Format zurückgegeben. Um diese in verwertbare Daten umzuwandeln, muss je nach Sprache die entsprechende Funktion verwendet werden. In PHP kann die Funktion json_decode() verwendet werden, um die Daten entweder in ein Objekt (Standard) oder ein Array (den zweiten Parameter auf true zu setzen) zu konvertieren. Es ist sehr wichtig, den Fehlerschlüssel zu überprüfen, da er Auskunft darüber gibt, ob ein Fehler aufgetreten ist oder nicht. Sie können auch den Header-Code überprüfen.

{
    "error": 1,
    "message": "An error occurred"
}

Benutzerdefinierter Splash

सूची कस्टम स्पलैश

मिलना https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

CTA-ओवरले

CTA ओवरले की सूची बनाएं

मिलना https://urlkai.com/api/overlay?limit=2&page=1

एपीआई के माध्यम से सीटीए ओवरले प्राप्त करने के लिए, आप इस समापन बिंदु का उपयोग कर सकते हैं। आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

फ़ाइलें

सूची फ़ाइलें

मिलना https://urlkai.com/api/files?limit=2&page=1

अपनी सभी फ़ाइलें प्राप्त करें। आप नाम से भी खोज सकते हैं।

प्राचल Beschreibung
नाम (वैकल्पिक) नाम से कोई फ़ाइल ढूँढना
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/afdJu",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/iTbVr",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/tBbTT",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

फ़ाइल अपलोड करना

के बाद https://urlkai.com/api/files/upload/:filename?name=My+File

पोस्ट बॉडी के रूप में बाइनरी डेटा भेजकर एक फ़ाइल अपलोड करें। आपको url में :filename के बजाय एक्सटेंशन सहित फ़ाइल नाम भेजना होगा (उदाहरण के लिए brandkit.zip)। आप निम्न पैरामीटर भेजकर विकल्प सेट कर सकते हैं।

प्राचल Beschreibung
नाम (वैकल्पिक) फ़ाइल का नाम
परम्परा (वैकल्पिक) यादृच्छिक उपनाम के बजाय कस्टम उपनाम।
डोमेन (वैकल्पिक) कस्टम डोमेन
पासवर्ड (वैकल्पिक) पासवर्ड सुरक्षा
समाप्ति (वैकल्पिक) डाउनलोड उदाहरण के लिए समाप्ति 2021-09-28
अधिकतम डाउनलोड (वैकल्पिक) डाउनलोड की अधिकतम संख्या
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Antwort des Servers

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/UQBGe"
}

Kampagnen

सूची अभियान

मिलना https://urlkai.com/api/campaigns?limit=2&page=1

API के ज़रिए अपने कैंपेन पाने के लिए, आप इस एंडपॉइंट का इस्तेमाल कर सकते हैं. आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Erstellen Sie eine Kampagne

के बाद https://urlkai.com/api/campaign/add

इस समापन बिंदु का उपयोग करके एक अभियान जोड़ा जा सकता है।

प्राचल Beschreibung
नाम (वैकल्पिक) अभियान का नाम
अलसाना (वैकल्पिक) रोटेटर स्लग
सार्वजनिक (वैकल्पिक) प्रवेश
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
के बाद https://urlkai.com/api/campaign/:campaignid/assign/:linkid

इस समापन बिंदु का उपयोग करके किसी अभियान को एक छोटा लिंक असाइन किया जा सकता है. समापन बिंदु के लिए अभियान ID और छोटी लिंक ID की आवश्यकता होती है.

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Kampagne aktualisieren

रखना https://urlkai.com/api/campaign/:id/update

अभियान को अपडेट करने के लिए, आपको PUT अनुरोध के माध्यम से JSON में एक मान्य डेटा भेजना होगा। डेटा को आपके अनुरोध के कच्चे शरीर के रूप में भेजा जाना चाहिए जैसा कि नीचे दिखाया गया है। नीचे दिया गया उदाहरण उन सभी मापदंडों को दिखाता है जिन्हें आप भेज सकते हैं लेकिन आपको सभी भेजने की आवश्यकता नहीं है (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
नाम (आवश्यक) अभियान का नाम
अलसाना (वैकल्पिक) रोटेटर स्लग
सार्वजनिक (वैकल्पिक) प्रवेश
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

अभियान हटाएं

मिटाना https://urlkai.com/api/campaign/:id/delete

किसी अभियान को हटाने के लिए, आपको एक DELETE अनुरोध भेजना होगा.

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

कनाले

सूची चैनल

मिलना https://urlkai.com/api/channels?limit=2&page=1

एपीआई के माध्यम से अपने चैनल प्राप्त करने के लिए, आप इस समापन बिंदु का उपयोग कर सकते हैं। आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

चैनल आइटम्स की सूची बनाएं

मिलना https://urlkai.com/api/channel/:id?limit=1&page=1

एपीआई के माध्यम से चुनिंदा चैनलों में आइटम प्राप्त करने के लिए, आप इस समापन बिंदु का उपयोग कर सकते हैं। आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Erstellen Sie einen Kanal

के बाद https://urlkai.com/api/channel/add

इस समापन बिंदु का उपयोग करके एक चैनल जोड़ा जा सकता है।

प्राचल Beschreibung
नाम (आवश्यक) चैनल का नाम
या क़िस्‍म (वैकल्पिक) चैनल विवरण
रंग (वैकल्पिक) चैनल बैज रंग (HEX)
तारांकित (वैकल्पिक) चैनल को स्टार करें या न करें (सही या गलत)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

किसी चैनल को कोई आइटम असाइन करना

के बाद https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

चैनल आईडी, आइटम प्रकार (लिंक, बायो या क्यूआर) और आइटम आईडी के साथ अनुरोध भेजकर किसी भी चैनल को एक आइटम सौंपा जा सकता है।

प्राचल Beschreibung
:चैनलआईडी (आवश्यक) चैनल आईडी
:प्रकार (आवश्यक) लिंक या जैव या क्यूआर
:itemid (आवश्यक) आइटम आईडी
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kanal aktualisieren

रखना https://urlkai.com/api/channel/:id/update

किसी चैनल को अपडेट करने के लिए, आपको PUT अनुरोध के माध्यम से JSON में एक मान्य डेटा भेजना होगा। डेटा को आपके अनुरोध के कच्चे शरीर के रूप में भेजा जाना चाहिए जैसा कि नीचे दिखाया गया है। नीचे दिया गया उदाहरण उन सभी मापदंडों को दिखाता है जिन्हें आप भेज सकते हैं लेकिन आपको सभी भेजने की आवश्यकता नहीं है (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
नाम (वैकल्पिक) चैनल का नाम
या क़िस्‍म (वैकल्पिक) चैनल विवरण
रंग (वैकल्पिक) चैनल बैज रंग (HEX)
तारांकित (वैकल्पिक) चैनल को स्टार करें या न करें (सही या गलत)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Antwort des Servers

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

चैनल हटाएं

मिटाना https://urlkai.com/api/channel/:id/delete

किसी चैनल को हटाने के लिए, आपको एक DELETE अनुरोध भेजना होगा। सभी आइटम भी असाइन नहीं किए जाएंगे।

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Konto erhalten

मिलना https://urlkai.com/api/account

Um Informationen über das Konto zu erhalten, können Sie eine Anfrage an diesen Endpunkt senden, der Daten über das Konto zurückgibt.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Account aktualisieren

रखना https://urlkai.com/api/account/update

Um Informationen zu dem Konto zu aktualisieren, können Sie eine Anfrage an diesen Endpunkt senden und er aktualisiert die Daten zu dem Konto.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Markendomänen

ब्रांडेड डोमेन सूचीबद्ध करें

मिलना https://urlkai.com/api/domains?limit=2&page=1

एपीआई के माध्यम से अपने ब्रांडेड डोमेन प्राप्त करने के लिए, आप इस समापन बिंदु का उपयोग कर सकते हैं। आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

एक ब्रांडेड डोमेन बनाएं

के बाद https://urlkai.com/api/domain/add

इस समापन बिंदु का उपयोग करके एक डोमेन जोड़ा जा सकता है। कृपया सुनिश्चित करें कि डोमेन हमारे सर्वर पर सही ढंग से इंगित किया गया है।

प्राचल Beschreibung
डोमेन (आवश्यक) http या https सहित ब्रांडेड डोमेन
रीडायरेक्टरूट (वैकल्पिक) रूट रीडायरेक्ट जब कोई आपके डोमेन पर जाता है
रीडायरेक्ट404 (वैकल्पिक) कस्टम 404 रीडायरेक्ट
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Antwort des Servers

{
    "error": 0,
    "id": 1
}

Domäne aktualisieren

रखना https://urlkai.com/api/domain/:id/update

ब्रांडेड डोमेन अपडेट करने के लिए, आपको PUT अनुरोध के माध्यम से JSON में एक मान्य डेटा भेजना होगा। डेटा को आपके अनुरोध के कच्चे शरीर के रूप में भेजा जाना चाहिए जैसा कि नीचे दिखाया गया है। नीचे दिया गया उदाहरण उन सभी मापदंडों को दिखाता है जिन्हें आप भेज सकते हैं लेकिन आपको सभी भेजने की आवश्यकता नहीं है (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
रीडायरेक्टरूट (वैकल्पिक) रूट रीडायरेक्ट जब कोई आपके डोमेन पर जाता है
रीडायरेक्ट404 (वैकल्पिक) कस्टम 404 रीडायरेक्ट
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

डोमेन हटाएं

मिटाना https://urlkai.com/api/domain/:id/delete

किसी डोमेन को हटाने के लिए, आपको एक DELETE अनुरोध भेजना होगा।

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

पिक्सल

सूची पिक्सेल

मिलना https://urlkai.com/api/pixels?limit=2&page=1

API के माध्यम से अपने पिक्सेल कोड प्राप्त करने के लिए, आप इस समापन बिंदु का उपयोग कर सकते हैं। आप डेटा फ़िल्टर भी कर सकते हैं (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Pixel बनाएं

के बाद https://urlkai.com/api/pixel/add

इस एंडपॉइंट का उपयोग करके पिक्सेल बनाया जा सकता है. आपको पिक्सेल प्रकार और टैग भेजना होगा.

प्राचल Beschreibung
प्रकार (आवश्यक) जीटीएमपिक्सल | गैपिक्सेल | एफबीपिक्सेल | ऐडवर्ड्सपिक्सेल | लिंक्डइनपिक्सेल | ट्विटरपिक्सेल | एड्रोलपिक्सेल | QuoraPixel | पिंटरेस्ट | बिंग | स्नैपचैट | रेडिट | टिकटोक
नाम (आवश्यक) आपके पिक्सेल के लिए कस्टम नाम
दिन (आवश्यक) पिक्सेल के लिए टैग
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Antwort des Servers

{
    "error": 0,
    "id": 1
}

Pixel aktualisieren

रखना https://urlkai.com/api/pixel/:id/update

पिक्सेल अपडेट करने के लिए, आपको PUT अनुरोध के माध्यम से JSON में मान्य डेटा भेजना होगा. डेटा को आपके अनुरोध के कच्चे शरीर के रूप में भेजा जाना चाहिए जैसा कि नीचे दिखाया गया है। नीचे दिया गया उदाहरण उन सभी मापदंडों को दिखाता है जिन्हें आप भेज सकते हैं लेकिन आपको सभी भेजने की आवश्यकता नहीं है (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
नाम (वैकल्पिक) आपके पिक्सेल के लिए कस्टम नाम
दिन (आवश्यक) पिक्सेल के लिए टैग
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

Pixel मिटाएं

मिटाना https://urlkai.com/api/pixel/:id/delete

पिक्सेल हटाने के लिए, आपको DELETE अनुरोध भेजना होगा.

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

QR-कोड

क्यूआर कोड सूचीबद्ध करें

मिलना https://urlkai.com/api/qr?limit=2&page=1

Um Ihre QR-Codes über die API abzurufen, können Sie diesen Endpunkt verwenden. Sie können Daten auch filtern (weitere Informationen finden Sie in der Tabelle).

प्राचल Beschreibung
सीमा लगाना (वैकल्पिक) प्रति पृष्ठ डेटा परिणाम
पृष्ठ (वैकल्पिक) वर्तमान पृष्ठ अनुरोध
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Holen Sie sich einen einzigen QR-Code

मिलना https://urlkai.com/api/qr/:id

Um Details für einen einzelnen QR-Code über die API abzurufen, können Sie diesen Endpunkt verwenden.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Erstellen Sie einen QR-Code

के बाद https://urlkai.com/api/qr/add

QR कोड बनाने के लिए, आपको POST अनुरोध के माध्यम से JSON में एक वैध डेटा भेजना होगा। डेटा को आपके अनुरोध के कच्चे शरीर के रूप में भेजा जाना चाहिए जैसा कि नीचे दिखाया गया है। नीचे दिया गया उदाहरण उन सभी मापदंडों को दिखाता है जिन्हें आप भेज सकते हैं लेकिन आपको सभी भेजने की आवश्यकता नहीं है (अधिक जानकारी के लिए तालिका देखें)।

प्राचल Beschreibung
प्रकार (आवश्यक) पाठ | वीकार्ड | लिंक | ईमेल | फोन | एसएमएस | वाईफ़ाई
डाटा (आवश्यक) क्यूआर कोड के अंदर एम्बेड किया जाने वाला डेटा। प्रकार के आधार पर डेटा स्ट्रिंग या सरणी हो सकता है
पृष्ठभूमि (वैकल्पिक) आरजीबी रंग जैसे आरजीबी (255,255,255)
अग्रभूमि (वैकल्पिक) आरजीबी रंग जैसे आरजीबी (0,0,0)
लोगो (वैकल्पिक) लोगो के लिए पथ या तो png या jpg
नाम (वैकल्पिक) क्यूआर कोड का नाम
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

क्यूआर कोड अपडेट करें

रखना https://urlkai.com/api/qr/:id/update

Um einen QR-Code zu aktualisieren, müssen Sie gültige Daten in JSON über eine PUT-Anforderung senden. Die Daten müssen wie unten gezeigt als Rohtext Ihrer Anfrage gesendet werden. Das folgende Beispiel zeigt alle Parameter, die Sie senden können, aber Sie müssen nicht alle senden (siehe Tabelle für weitere Informationen).

प्राचल Beschreibung
डाटा (आवश्यक) क्यूआर कोड के अंदर एम्बेड किया जाने वाला डेटा। प्रकार के आधार पर डेटा स्ट्रिंग या सरणी हो सकता है
पृष्ठभूमि (वैकल्पिक) आरजीबी रंग जैसे आरजीबी (255,255,255)
अग्रभूमि (वैकल्पिक) आरजीबी रंग जैसे आरजीबी (0,0,0)
लोगो (वैकल्पिक) लोगो के लिए पथ या तो png या jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Antwort des Servers

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Löschen Sie einen QR-Code

मिटाना https://urlkai.com/api/qr/:id/delete

Um einen QR-Code zu löschen, müssen Sie eine DELETE-Anfrage senden.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}